/* CSS File */
/* +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 Date: xx-xxx-202x
 Version: 1.0.0 
 Author: Martin Sebborn 
 Hstory:
    1.0.0  | 07-Oct-2024 | MJS | Initial release  
    1.0.1  | 06-Jul-2024 | MJS | Page layout update  
    1.0.2  | 27-Jul-2025 | MJS | Updated 2025
    1.0.3  | 18-Nov-2025 | MJS | Gazetteer Map styling added
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ */
html {
 font-size: 14px;
 margin:    0 auto;
 max-width: 1920px;
}

body {
  font-family: 'Noto Sans JP', sans-serif;
  margin: 0;
  padding: 0;
}

nav {
  display: grid;
  margin-top: 20px;
}

.mainHeader {
  position: sticky;
  left:  0;
  top:  0;
  width: 100%;
  z-index: 1000;
  background-color: #e8c66b;
  display: grid;
  grid-template-columns: 1fr 3fr;
}

.headerBlock {
  background-color: #e8c66b;
  background-size: cover;
  padding: 0;
  margin: 0;

  /* Grid styles */
  display: grid;
  grid-template-columns: 1fr;
  text-align: center;
}

.mainHeader img, .headerBlock img {
  max-width: 300px;
  margin: auto;
  display: block;
  padding: 1rem 0;
}

.headerBlock p {
  font-size:  1.2rem;
}

.headerBlock h1 {
  color:  white;
}

.mainBlock, .mainBlockHome, .mainBlockGazetteer {
  margin: 0;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.mainBlockHome {
  grid-template-columns: 2fr 1fr 1fr;
}

.mainBlock.Gazetteer {
  grid-template-columns: 2fr 3fr;
}

.mainBlock.Membership, .mainBlock.dual {
  grid-template-columns: 1fr 1fr;
}

.mainBlock.checkout {
  grid-template-columns: 1fr 2fr;
  grid-column-gap:  10%;
}

.mainBlock.thirdSplit {
  grid-template-columns: 1fr 2fr;
}

.mainBlock.single {
  grid-template-columns: 1fr;
}

.mainBlock.space {
  grid-template-columns: 1fr;
  margin-left: 10%;
  margin-right: 10%;
}

.bookingTable {
  margin-left: 1.5rem;
}

.mainBlock p, .mainBlock li, .mainBlockHome p, .mainBlockHome li, .bookingTable td {
  font-size: 1.4rem;
  padding: 0.6rem 1rem;
  margin: 0;

}

.bookingTable td {
  padding: 1rem 1rem !important;
}

.itemArticle {
  padding: 6px;
}

.itemArticle h1 {
  color: #8a7f60;
  padding: 0;
  margin: 0;
  margin-top: 1rem;
}

.itemArticle h2 {
  color: #A8986B;
  padding: 0;
  margin: 17px 0 6px 0;
}

.itemArticle h3 {
  color: #A8986B;
  font-size:  1.3rem;
  padding: 0;
  margin: 10px 0 3px 0;
}

.itemArticle img {
  width:  100%;
}

.itemArticle.newsImage img {
  width:  auto;
}

.itemArticle.newsImage summary {
  font-size: 1.6rem;
  line-height: 2rem;
  color:  #b58d2f;
}

.itemArticle p, .bookingTable td, .itemArticle li {
  font-weight: 300;
  padding: 0;
  margin: 8px 0 2px 12px;

}

.itemArticle li {
  margin: 4px 0;
  padding: 0;
}

.itemArticle a:hover {
  text-decoration: none;
  color: #805500 ;
}

.itemArticle a {
  color:  #000;
}

.itemArticle.event, .itemArticle.cart {
  border-right: 1px solid #DBA718;
  border-bottom: 1px solid #DBA718;
  margin-bottom: 5px;
  border-bottom-right-radius:  12px;
}

.itemArticle.cart {
  grid-column-start: 1;
  grid-column-end: 3;
  background: rgb(255,255,255);
  background: linear-gradient(90deg, rgba(243,240,230,1) 0%, rgba(255,255,255,1) 100%);
  /*background-color: #FAF8F4;*/
}

.subEntry {
border: 2px solid palegoldenrod;
padding:  1rem;
margin: 0;
}

.subEntry h1, .subEntry h2 {
  color: #8a7f60;
  margin: 1rem 3px 3px 3px;
}

.subEntry h2 {
  font-size: 1.6rem;
}



.subEntry p {
  font-weight: 300;
}

.subEntry a {
  color:  #000;
}

.subEntry a:hover {
  text-decoration: none;
  color: #805500 ;
}

.atrisk {
  display: grid;
  grid-template-columns: 1fr 2fr;
  column-gap: 2rem;
}

.atriskImages img {
  width:  15% !important;
}

.itemArticle.bg {
 background: rgb(249,243,226);
 background: linear-gradient(-90deg, rgba(209, 201, 180,1) 0%, rgba(250, 250, 242,1) 80%); /* Was 249,243,226 */
 /*background: linear-gradient(90deg, rgba(209, 201, 180,1) 0%, rgba(255,255,255,1) 80%); /* Was 249,243,226 */
 margin:  4px 0;
}

.smallText {
  font-size: 1.2rem !important;
}

.trusteeGrid {
  display: grid;
  grid-template-columns: 1fr;
}

.gazetteerDiv {
  padding:  0;
  margin: 0 0 12px 0;  
  border-right: 2px solid #eee4c0;
  border-bottom: 2px solid #eee4c0;
  border-radius:  6px 0;
  margin-top:  18px;
}
 
.trusteeDiv {
 padding:  0;
 margin: 0 0 12px 0;
 background: rgb(249,243,226);
 background: linear-gradient(90deg, rgba(249,243,226,1) 0%, rgba(255,255,255,1) 80%);
}

.trusteeDiv img, .gazetteerDiv img {
  width: 100px;
  float:  left;
  padding-right: 8px;
}

.trusteeDiv h3, .gazetteerDiv h3 {
  padding: 2px 0 6px 4px;
  margin: 0;
}

.trusteeDiv p, .gazetteerDivp {
  font-size:  1.1rem;
  padding: 4px 0;
  margin: 0;
  line-height: 1.8rem;
}

.trusteeDiv a, .gazetteerDiv a {
  font-size:  1.2rem;
  font-style: normal;
}

.trusteeDiv.wideImage, .gazetteerDiv.wideImage {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;

}

.trusteeDiv.wideImage img, .gazetteerDiv.wideImage img {
  width: 100%;
  max-height: 200px;
  object-fit: scale-down;  
}

.trusteeDiv.wideImage p, .gazetteerDiv.wideImage p {
  font-size:  1rem;
  line-height: 1.2rem;
  margin-left: 4px;
}

.trusteeDiv.wideImage h3, .gazetteerDiv.wideImage h3 {
  margin-left: 4px;
}

.gazetteerPageDisplay {
  float: right;
}

.gazetteerPageDisplay p {
  font-size:  1rem;
  font-style: italic;
}

.gazetteerButton {
  margin: 2px 1px;
  padding: 4px 8px;
  font-size: 1.1rem;
  background-color: #8a7f60;
  color: #ffffff;
  cursor: pointer;
  box-shadow: 3px 3px 2px #AAAAAA;
}

.gazetteerButton:hover {
  background-color: #cab886;
}

.gazetteerButton.leftSpace {
  margin-left:  12px;
}

footer {
  display: grid;
  align-items: center;
  column-gap: 2%;
/*  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));*/
  grid-template-columns: 3fr 1fr 1fr 1fr 1fr;


  background-color: #8a7f60; /* was 466068 */
  padding: .5rem;
  margin:  0;
  margin-top: 14px  ;
  color: black;
  text-align: center;
  font-size: 1.2rem;
}

footer > p > a {
  color: #fff;
  text-decoration: none;
}

footer > p  {
  color: #fff;
  margin: 0;
  padding: 0;
  font-weight: 300;
}

footer > p > a:hover {
  color: #d2a679;
}


input[type="text"], input[type="date"], input[type="time"], input[type="email"], textarea, input[type="password"] {
 background-color: #EADEBD; 
 font-size: 1.2rem;
}


input[type="number"] {
 background-color: #EADEBD; 
 font-size: 1.2rem;
}

select {
 background-color: #EADEBD; 
 font-size: 1.2rem;
 /*-webkit-appearance: menulist;*/
 white-space: nowrap;
 overflow: hidden;
 text-overflow: ellipsis;
 max-width:  90%;
}

.homeKeySearch{
 font-size:  1.4rem;
 background-color: #ffffff; 
}


.generalTable td {
  font-size: 1.4rem;
  font-weight: 300;
  padding: 0.6rem 1rem;
  margin: 0;
  border-bottom: 1px solid #EADEBD;
}

.mmtButton, .blankLetter {
  margin: 4px 3px;
  padding: 4px 12px;
  font-size: 1.3rem;
  background-color: #8a7f60;
  color: #ffffff;
  cursor: pointer;
  box-shadow: 3px 3px 2px #AAAAAA;
}

.mmtButton.fRight {
 float: right;
}

.mmtButton.Light {
  background-color: #CEC3A6;  
}

.mmtButton:hover {
  background-color: #cab886;  
}

.blankLetter {
  margin-top: 4px;
  pointer-events: unset;
  cursor: default;
  background-color: #dddddd;
  color: #333333;
  box-shadow: 3px 3px 2px #666666;
}

.mmtForm {
  display: grid;
  grid-template-columns: 1fr 2fr;  
}

.mmtForm3 {
  display: grid;
  grid-template-columns: 2fr 3fr 1fr;  
}

.actionIcon {
  cursor: pointer;
}

.splitter {
  display: grid;
  grid-template-columns: 1fr 1fr;  
}

hr {
  color: #DBA718;
}

  details summary { 
  cursor: pointer;
}

summary {
  font-size:  1.2rem;
}

.smallBorder {
  border-bottom: 1px solid #eee4c0;
  font-size:  1.1rem !important;
}

.gazSearchBlock {
  border-right: 2px solid #eee4c0;
  border-bottom: 2px solid #eee4c0;
  border-radius:  6px 0;
  margin-top:  18px;
  padding-bottom: 14px;
}

.mmtOutButton {
  font-size: 1.3rem;
  background-color: #8a7f60;
  font-weight: 400;
  margin: 4px 3px 8px 3px;
  padding: 4px 12px 4px 18px;  
  color:  white !important;
  text-decoration: none;
  border-top: 2px solid #CCCCCC;
  border-right: 2px solid #333333;
  border-bottom: 2px solid #333333;
  border-left: 2px solid #CCCCCC;
} 

.mmtOutButton:hover {
  background-color: #bab19c;
  color:  #000000;
}

.itemArticle.video {
  display: grid;
  grid-template-columns: 1fr 2fr;
  border: 1px solid lightgrey;
  border-radius: 8px;
  margin: 16px 30px;
  box-shadow: 4px 4px 8px;  

}

.tdTop {
  vertical-align: top;
}

.tdCentre {
  text-align: center;
}

.tdRight {
  text-align: right;
}

.numberInputBox {
  width: 4rem;
}

.tdhdr {
 font-size: 1.1rem !important;
 font-style: italic;
}

.tdhdr.right {
  text-align: right;

}

.tdbtm {
  font-weight: 700 !important;
}

.tdbtm.right {
  text-align: right;  
}

.gazMap {
  overflow:hidden;
  padding-bottom:56.25%;
  position:relative;
  height:0;
}

.gazMap iframe{
  left:0;
  top:0;
  height:100%;
  width:100%;
  position:absolute;

}
 
}


/*
----------------------------------------------------------------------------------
Responsive css here....... 
----------------------------------------------------------------------------------
*/
@media all and (max-width : 400px) {

  .mainHeader {
    display: grid;
    grid-template-columns: 1fr;
  }

  .headerBlock {
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  }



  .mainHeader img, .headerBlock img {
    max-width: 90% !important;
  }

  footer {
    display: grid;
    grid-template-columns: 1fr !important;
  }

  .itemArticle.cart td {
    font-size:  1rem;
  }

  .mmtButton.fRight {
   float: left;
  }

  .trusteeDiv.wideImage, .gazetteerDiv.wideImage  {
    grid-template-columns: 1fr ;
  }

  .mainBlock.Gazetteer, .mainBlock.Membership  {
    grid-template-columns: 1fr;
  }

  .mmtForm, .mmtForm3 {
    grid-template-columns: 1fr;
  }

  .mmtForm3 select {
    max-width: 100px;
  }

  .itemArticle.b {
    grid-row-start: 1;
    grid-row-end: 2;
  }


}

/* ----------------------------------------------------------------- */

@media all and (max-width : 850px) {

   .mainBlock, .mainBlockHome, .mainBlock.thirdSplit {
     margin: 0;
     display: grid;
     grid-template-columns: 1fr;
   }

   .mainBlock.Gazetteer, .mainBlock.Membership {
      grid-template-columns: 1fr;
   }

  .atrisk {
    display: grid;
    grid-template-columns: 1fr;
}

}

/* ----------------------------------------------------------------- */
 
@media all and (max-width : 1200px) {

   .mainBlock.Gazetteer {
      grid-template-columns: 1fr;
   }
 
   .mmtForm3 {
    grid-template-columns: 1fr 2fr;
    border-bottom: 1px solid #cab886;
  }


}